【Flutter】3秒でパッケージ追加完了!?VSCode使いに絶対に入れて欲しい拡張機能「Pubspec Assist」を紹介するよ!

Dart

概要

どうも、@daiki1003です!

Flutterでの開発には、世界中のデベロッパが作ってくれたパッケージのインストールが欠かせません。
あなたはどの様にパッケージを追加していますか?

実は、以前パッケージのインストール記事を書きました。

【超簡単!】Flutterのパッケージのインストール方法を説明するよ!
Flutterのパッケージのインストール方法で悩んでいませんか? この記事では、主に初心者向けにパッケージインストール方法からおすすめのパッケージについて解説しています。 是非ご覧ください♪

pub.dev に飛んで、欲しいパッケージ名を選択。
Installingタブを選択して。

…面倒くさい!

今回は早ければ3秒でパッケージ追加が完了してしまう、
魔法の様なVSCodeエクステンション「Pubspec Assist」を紹介します!

Pubspec Assist - Visual Studio Marketplace
Extension for Visual Studio Code - Easily add and update dependencies to your Dart and Flutter project.

Pubspec assistのインストール方法

1. Visual Studio Codeを立ち上げる

2. Extensionsタブを選択 (⌘ + Shift + X)

3. pubs…くらいまで入力

4. 「Pubspec assist」が出るはずなので追加

Pubspec assistの使い方

1. ⌘ + Shift + pでコマンド入力画面の表示

2. 「Pubspec Assist: Add/update dependency」を選択

3. インストールしたいパッケージ名の全てまたは一部をタイプし、Enter

4. 複数候補がある場合は一つを選択する (なければ3の時点でインストール開始)

これで終わりです。

めちゃくちゃ簡単じゃないですか?
ちなみに、バージョンは最新のものが表記されます。

誰かのお役に立てば。

Twitterフォローお願いします

「次回以降も記事を読んでみたい!」
「この辺分からなかったから質問したい!」

そんな時は、是非@daiki1003のフォローお願いします♪

コメント

  1. イェルン より:

    こんにちは!

    パッケージの作者「イェルン」です。
    Pubspec Assistについて記事を書いてくださってありがとうございました!

    実は、最近Pubspec Assistはアップデートがあったので、もっと便利になりましたと思います。

    パッケージについて質問があれば、教えてください!

    オランダから挨拶👋🏻

    • ashdikashdik より:

      Thanks for your comment Mr.イェルン from Australia!!
      I’m so excited :)
      I’ll try the update version!

タイトルとURLをコピーしました